%define upstream_name    XML-DOM
%define upstream_version 1.46

%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(XML::XQL::Node\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    XML::DOM - build DOM Level 1 compliant document structures
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/T/TJ/TJMATHER/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(XML::Parser) >= 2.300.0
BuildRequires: perl(XML::Parser::PerlSAX) >= 0.70.0
BuildRequires: perl(XML::RegExp)
BuildRequires: perl(XML::Parser) >= 2.30
BuildRequires: perl(XML::RegExp)
BuildRequires: perl-libwww-perl
BuildRequires: perl-libxml-perl >= 0.07
BuildArch:  noarch
Provides:   perl-libxml-enno
Obsoletes:  perl-libxml-enno

%description
This is a Perl extension to XML::Parser. It adds a new 'Style' to
XML::Parser, called 'Dom', that allows XML::Parser to build an Object
Oriented datastructure with a DOM Level 1 compliant interface.
However, there is a new DOM module, XML::GDOME which is under active
development and significantly faster than XML::DOM, since it is based
on the libgdome C library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# some old'ish utf8 stuff, nuke it (rgs)
rm -f t/dom_jp_attr.t
rm -f t/dom_jp_cdata.t
rm -f t/dom_jp_example.t
rm -f t/dom_jp_minus.t
rm -f t/dom_jp_modify.t
rm -f t/dom_jp_print.t
make test

%install
%make_install

%files
%doc BUGS Changes META.json META.yml MYMETA.yml README samples
%dir %{perl_vendorlib}/XML/DOM
%{perl_vendorlib}/XML/DOM.pm
%{perl_vendorlib}/XML/DOM/*.pod
%{perl_vendorlib}/XML/DOM/*.pm
%{perl_vendorlib}/XML/Handler/*
%{_mandir}/man3/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.460.0-5.mga10
+ Revision: 2212065
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 1.460.0-4.mga9
+ Revision: 1830870
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.460.0-3.mga8
+ Revision: 1507007
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.460.0-2.mga7
+ Revision: 1287303
- Mageia 7 Mass Rebuild

* Sun Jul 23 2017 shlomif <shlomif> 1.460.0-1.mga7
+ Revision: 1129062
- update to 1.46

* Sun Jun 19 2016 pterjan <pterjan> 1.450.0-3.mga6
+ Revision: 1035901
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.450.0-2.mga6
+ Revision: 969443
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 1.450.0-1.mga6
+ Revision: 868730
- update to 1.45

* Wed Oct 15 2014 umeabot <umeabot> 1.440.0-6.mga5
+ Revision: 744161
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.440.0-5.mga5
+ Revision: 732624
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.440.0-4.mga5
+ Revision: 686905
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.440.0-3.mga4
+ Revision: 516107
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.440.0-2.mga3
+ Revision: 374966
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.440.0-1.mga1
+ Revision: 27263
- mageia rebuild
- imported package perl-XML-DOM


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.440.0-1mdv2010.1
+ Revision: 402538
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.44-7mdv2009.1
+ Revision: 351690
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.44-6mdv2009.0
+ Revision: 224609
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.44-5mdv2008.1
+ Revision: 180649
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1.44-4mdv2008.0
+ Revision: 63023
- rebuild

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 1.44-3mdv2008.0
+ Revision: 23248
- rebuild


* Mon Apr 03 2006 Buchan Milne <bgmilne@mandriva.org> 1.44-2mdk
- Rebuild
- use mkrel

* Thu Jul 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.44-1mdk
- 1.44

* Fri Jul 15 2005 Oden Eriksson <oeriksson@mandriva.com> 1.43-1mdk
- initial Mandriva package

